From bc62fd60bb2347e4550bb3ccba701561cab5e1fe Mon Sep 17 00:00:00 2001
From: Raphael Hertzog <hertzog@debian.org>
Date: Fri, 15 May 2009 18:09:25 +0200
Subject: [PATCH] dpkg-source/dpkg-genchanges: split long Binary: field values

---
 scripts/dpkg-genchanges.pl |    2 ++
 scripts/dpkg-source.pl     |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/scripts/dpkg-genchanges.pl b/scripts/dpkg-genchanges.pl
index 32b5bff..2bbcd29 100755
--- a/scripts/dpkg-genchanges.pl
+++ b/scripts/dpkg-genchanges.pl
@@ -483,6 +483,8 @@ if (!defined($fields->{'Date'})) {
 }
 
 $fields->{'Binary'} = join(' ', map { $_->{'Package'} } $control->get_packages());
+# Avoid overly long line (>~1000 chars) by splitting over multiple lines
+$fields->{'Binary'} =~ s/(.{980,}?) /$1\n /g;
 
 unshift(@archvalues,'source') unless is_binaryonly;
 @archvalues = ('all') if $include == ARCH_INDEP;
diff --git a/scripts/dpkg-source.pl b/scripts/dpkg-source.pl
index 6ea264c..44d8bbb 100755
--- a/scripts/dpkg-source.pl
+++ b/scripts/dpkg-source.pl
@@ -247,6 +247,8 @@ if ($options{'opmode'} eq 'build') {
     }
     
     $fields->{'Binary'} = join(', ', @binarypackages);
+    # Avoid overly long line (>~1000 chars) by splitting over multiple lines
+    $fields->{'Binary'} =~ s/(.{980,}?), ?/$1,\n /g;
 
     # Generate list of formats to try
     my @try_formats = (@cmdline_formats);
-- 
1.6.3

